load birds_7D;
a = makemillabeled(a,2);

u = {...
   scalem([],'variance')*milproxm([],'meanmin')*loglc2;
   scalem([],'variance')*miles([],0.1);
   };
nrfolds = 10;

nru = size(u,1);
I = nrfolds;
e = zeros(nru,nrfolds);
for f = 1:nrfolds
   f
   [x,z,I] = milcrossval(a,I);
   for i=1:nru
      w = x*u{i};
      e(i,f) = dd_auc(z*w*milroc);
   end
end
R = results(e,getwnames(u),nrfolds);
show(average(100*R),'max1');
